'use strict';

exports.__esModule = true;

var _identity = require('ramda/src/identity');

var _identity2 = _interopRequireDefault(_identity);

var _map = require('ramda/src/map');

var _map2 = _interopRequireDefault(_map);

var _fromPairs = require('ramda/src/fromPairs');

var _fromPairs2 = _interopRequireDefault(_fromPairs);

var _toPairs = require('ramda/src/toPairs');

var _toPairs2 = _interopRequireDefault(_toPairs);

var _pipe = require('ramda/src/pipe');

var _pipe2 = _interopRequireDefault(_pipe);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var stubLogger = (0, _pipe2['default'])(_toPairs2['default'], (0, _map2['default'])(function (_ref) {
  var key = _ref[0];
  return [key, _identity2['default']];
}), _fromPairs2['default'])(console);

exports['default'] = function () {
  var loggingEnabled = arguments.length <= 0 || arguments[0] === undefined ? true : arguments[0];
  return loggingEnabled ? console : stubLogger;
};