import _default2 from 'ramda/src/is';
import _default from 'ramda/src/curry';

import { isAction } from '../util/is';

export default _default(function (logger, dispatch, enhancers, action) {
    var enhance = enhancers[action.type];
    if (_default2(Function, enhance)) {
        try {
            var nextAction = enhance(action);
            if (isAction(nextAction)) {
                if (nextAction.type !== action.type) {
                    dispatch(nextAction);
                } else {
                    return nextAction;
                }
            }
        } catch (error) {
            logger.error('Unable to enhance action: "' + action.type + '"', error);
        }
    }
    return action;
});