import _default16 from 'ramda/src/reject';
import _default15 from 'ramda/src/map';
import _default14 from 'ramda/src/pathOr';
import _default13 from 'ramda/src/compose';
import _default12 from 'ramda/src/call';
import _default11 from 'ramda/src/converge';
import _default10 from 'ramda/src/test';
import _default9 from 'ramda/src/unless';
import _default8 from 'ramda/src/replace';
import _default7 from 'ramda/src/pipe';
import _default6 from 'ramda/src/always';
import _default5 from 'ramda/src/T';
import _default4 from 'ramda/src/identity';
import _default3 from 'ramda/src/invoker';
import _default2 from 'ramda/src/is';
import _default from 'ramda/src/cond';

import workerize from 'workerize';
import { coerceToFn } from '../util';

/* eslint-disable no-undef */
var hasWorkers = typeof Worker !== 'undefined' && Worker !== null && typeof Blob !== 'undefined' && Blob !== null;
/* eslint-enable no-undef */

var makeWorkerString = _default([[_default2(Function), _default3(0, 'toString')], [_default2(String), _default4], [_default5, _default6('')]]);

var makeExportable = _default7(_default8(/^(\s*)\(/m, 'export const run = ('), _default8(/^(\s*)const/m, 'export const'), _default8(/^(\s*)function\s*\(/m, 'export function run('), _default8(/^(\s*)function\s+/m, 'export function '), _default8(/^(\s*)function\*\s+/m, 'export function* '), _default8(/^(\s*)async\s+\(/m, 'export const run = async ('), _default8(/^(\s*)async\s+function\s*\(/m, 'export async function run('));

var makeWorker = _default7(makeWorkerString, makeExportable, _default9(_default10(/^\s*$/), function (str) {
    return workerize('' + str);
}));

export var getWorkers = _default11(_default12, [_default13(coerceToFn, _default14({}, ['options', 'workers'])), _default4]);

export var makeWorkers = _default7(getWorkers, _default15(hasWorkers ? makeWorker : _default7(makeWorkerString, makeExportable)), _default16(_default10(/^\s*$/)));